indexing
	description: "Event interface -- raw events, no namespace resolution"
	project: "http://www.nenie.org/eiffel/"
	
deferred class NXML_NAMESPACE_EVENT_INTERFACE

inherit
	NXML_COMMON_EVENT_INTERFACE
	
feature -- Actions

	when_start (a_name: NXML_NAME) is
			-- Element start.
		require
			not_void: a_name /= Void
		deferred
		end
		
	when_attribute (a_name: NXML_NAME; a_value: STRING) is
			-- Attribute.
		require
			not_void: a_name /= Void
		deferred
		end
		
	when_content_start is
			-- Last attribute done.
		deferred
		end
		
	when_end is	
			-- Element end.
		deferred
		end
		
end
